/*------------------------------------------------------------------------------
--  This file is a part of the libuc, microcontroler library
--  Copyright (C) 2015, Alexis Jeandet
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
-------------------------------------------------------------------------------
--                 Author : Alexis Jeandet
--                   Mail : alexis.jeandet@gmail.com
-------------------------------------------------------------------------------*/

#ifndef DMA_H
#define DMA_H
#include <streamdevices.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef int dmaID_t;

dmaID_t dmacopy(uint32_t source, uint32_t dest, int size, int count, char incSrc, char incDest);
dmaID_t dmamemset(uint32_t dest,int val, int size);
int dmaIsReady(dmaID_t dmaID);
int dmaLockStream(int stream,int dmaDev);

#ifdef __cplusplus
}
#endif
#endif //DMA_H












