/*------------------------------------------------------------------------------
--  This file is a part of the libuc, microcontroler library
--  Copyright (C) 2011, Alexis Jeandet
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
-------------------------------------------------------------------------------
--                 Author : Alexis Jeandet
--                   Mail : alexis.jeandet@gmail.com
-------------------------------------------------------------------------------*/
#include <stdint.h>
#ifdef __cplusplus
 extern "C" {
#endif
extern volatile uint32_t tickCounter;
extern uint32_t getAPB1Freq();
extern uint32_t getAPB2Freq();
extern uint32_t getCpuFreq();
extern int setCpuFreq(uint32_t freq);
extern int optimizePLLcfg(uint32_t freq, uint32_t srcfreq,uint32_t PLLM,uint32_t* PLLP, uint32_t* PLLN,uint8_t* AHBPRindx);
extern int setPll(uint32_t freq);
extern void getCpuUUID(char*uuid);
extern int getCpuUUIDLen();
extern void enable_FPU();
extern void reset_AHB1();
extern void reset_AHB2();
extern void reset_APB1();
extern void reset_APB2();
extern void configureSysTick();
extern void delay_us(uint32_t value);
extern void delay_100us(uint32_t value);
extern void SysTick_Handler(void);

#ifdef __cplusplus
  }
#endif












